<?php
/** *************************************************************
 Simple web2jabber client
 Copyright 2005 Volker Hartmann
 virtuatron::weblog :: http://www.virtuatron.de

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the
 Free Software Foundation, Inc.,
 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

 http://www.gnu.org/licenses/gpl.txt
***************************************************************** **/

// include class.jabber.php
require("class_jabber_php-0.4.2/class.jabber.php");

//some variables
$jabber_send_success_url = "http://www.virtuatron.de/plog/static/1/kontakt_success"; //absolute URL!
$jabber_send_error_url = "http://www.virtuatron.de/plog/static/1/kontakt_error"; //absolute URL!
$subject_prefix = "Neue Nachricht von: "; //prefix for subject.

//get formdata
$from = $HTTP_POST_VARS['from'];
$message = $HTTP_POST_VARS['message'];
if (empty($from) || empty($message)) {
header("Location: ".$jabber_send_error_url); //if fields are empty redirect to error-page
exit();
}

//instantiate class.jabber
$JABBER = new Jabber;

//settings for class.jabber
$JABBER->server         = "jabber.ccc.de";
$JABBER->port           = 5222;
$JABBER->username       = "virtuatronweblogbot";
$JABBER->password       = "wrzlpfrmpft";
$JABBER->resource       = "weblogbot";
$JABBER->delay_disconnect = 5;

$recip_jid              = "vurt@jabber.ccc.de/home";

// Enable Logging for debugging purposes
$JABBER->enable_logging = TRUE;
$JABBER->log_filename   = 'log/jabberlog.txt';

//Connect to jabber-server
if (!$JABBER->Connect()){
header("Location: ".$jabber_send_error_url); //if connect fails, redirect to error-page
exit();
}

//authentication
if (!$JABBER->SendAuth()) {
header("Location: ".$jabber_send_error_url); //if auth fails, redirect to error-page
exit;
}

//send message
$JABBER->SendPresence(NULL, NULL, "online");

// Cruise Control
$JABBER->CruiseControl(10);

$JABBER->SendMessage($recip_jid,
                     "normal",
                     NULL,
                     array( // body, thread... whatever
                           "body" => $message,
                           "subject" => $subject_prefix.$from
                          ),
                     NULL
                    );

// Redirect to success-page
header("Location: ".$jabber_send_success_url);

//Disconnect
$JABBER->Disconnect();

?>